Create Consent Option

Creates a new consent option for a specific Tenant.

POST
/consent/options

Creates a new consent option for a specific Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/consent/options" \  -H "Content-Type: application/json" \  -d '{}'
{
  "ConsentId": "d290f1ee6c544b90e6d701748f0851",
  "Title": "SMS Consent",
  "Description": "Consent to receive SMS notifications",
  "CreatedOn": "2023-01-01T00:00:00Z",
  "IsActive": true
}

{
  "ErrorCode": 7914,
  "Message": "Post body is invalid",
  "Description": "Please use a valid post body in JSON format."
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "Message": "Consent Option ID already exists",
  "Description": "Consent Option ID already exists. Please use another ID to add new config.",
  "ErrorCode": 8201
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}